Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QGb2312Codec Class Reference

The QGb2312Codec class provides conversion to and from the Chinese GB2312 encoding. More...

    #include <QGb2312Codec>

Inherits QTextCodec.

- List of all members, including inherited members

### Public Functions

- QGb2312Codec ()
- virtual QByteArray convertFromUnicode ( const QChar * , int , ConverterState * ) const
- virtual QString convertToUnicode ( const char * , int , ConverterState * ) const
- virtual int mibEnum () const
- virtual QByteArray name () const

- 12 public functions inherited from QTextCodec

### Static Public Members

- QList<QByteArray> _aliases ()
- int _mibEnum ()
- QByteArray _name ()

- 11 static public members inherited from QTextCodec

### Protected Functions

- 2 protected functions inherited from QTextCodec

## Detailed Description

The QGb2312Codec class provides conversion to and from the Chinese GB2312 encoding.

The GB2312 encoding has been superceded by the GB18030 encoding and GB18030 is backward compatible to GB2312. For this reason the QGb2312Codec class is implemented in terms of the GB18030 codec and uses its 0xA1A1-0xFEFE subset for conversion from and to Unicode.

The QGb2312Codec is kept mainly for compatibility reasons with older software.

## Member Function Documentation

### QGb2312Codec::QGb2312Codec ()

Constructs a QGb2312Codec object.

### QList<QByteArray> QGb2312Codec::_aliases () `[static]`

### int QGb2312Codec::_mibEnum () `[static]`

### QByteArray QGb2312Codec::_name () `[static]`

### QByteArray QGb2312Codec::convertFromUnicode ( const QChar * , int , ConverterState * ) const `[virtual]`

### QString QGb2312Codec::convertToUnicode ( const char * , int , ConverterState * ) const `[virtual]`

### int QGb2312Codec::mibEnum () const `[virtual]`

### QByteArray QGb2312Codec::name () const `[virtual]`